Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
Send audio and voice messages via SDK or API
import { WhatsAppClient } from '@kapso/whatsapp-cloud-api'; const client = new WhatsAppClient({ baseUrl: 'https://api.kapso.ai/meta/whatsapp', kapsoApiKey: process.env.KAPSO_API_KEY! }); await client.messages.sendAudio({ phoneNumberId: '647015955153740', to: '15551234567', audio: { id: '1013859600285441', voice: true } });
curl -X POST 'https://api.kapso.ai/meta/whatsapp/v24.0/647015955153740/messages' \ -H 'X-API-Key: YOUR_API_KEY' \ -H 'Content-Type: application/json' \ -d '{ "messaging_product": "whatsapp", "to": "15551234567", "type": "audio", "audio": { "id": "1013859600285441", "voice": true } }'
import { WhatsAppClient } from '@kapso/whatsapp-cloud-api'; const client = new WhatsAppClient({ baseUrl: 'https://api.kapso.ai/meta/whatsapp', kapsoApiKey: process.env.KAPSO_API_KEY! }); await client.messages.sendAudio({ phoneNumberId: '647015955153740', to: '15551234567', audio: { link: 'https://example.com/ringtone.mp3' } });
curl -X POST 'https://api.kapso.ai/meta/whatsapp/v24.0/647015955153740/messages' \ -H 'X-API-Key: YOUR_API_KEY' \ -H 'Content-Type: application/json' \ -d '{ "messaging_product": "whatsapp", "to": "15551234567", "type": "audio", "audio": { "link": "https://example.com/ringtone.mp3" } }'
Was this page helpful?